EntityBinding (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.bdb.bind.EntityBinding,EntityBinding interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb.bind
Interface EntityBinding

All Known Implementing Classes:
  SerialSerialBinding, TupleSerialBinding, TupleTupleBinding

public interface EntityBinding

The interface implemented by all entity or key/data-to-object bindings.

Method Summary
`Object` | `dataToObject(DataBuffer key, DataBuffer value)` Converts key and value data buffers into an entity Object.
`DataFormat` | `getKeyFormat()` Returns the format used for the key data of this binding.
`DataFormat` | `getValueFormat()` Returns the format used for the value data of this binding.
`void` | `objectToKey(Object object, DataBuffer key)` Extracts the key data from an entity Object.
`void` | `objectToValue(Object object, DataBuffer value)` Extracts the value data from an entity Object.

Method Detail

### dataToObject

    public Object dataToObject(DataBuffer key,
                               DataBuffer value)
                        throws IOException

  Converts key and value data buffers into an entity Object.

  Parameters:
    `key` - is the source key data.
    `value` - is the source value data.
  Returns:
    the resulting Object.
    `IOException`

### objectToKey

    public void objectToKey(Object object,
                            DataBuffer key)
                     throws IOException

  Extracts the key data from an entity Object.

  Parameters:
    `object` - is the source Object.
    `key` - is the destination data buffer.
    `IOException`

### objectToValue

    public void objectToValue(Object object,
                              DataBuffer value)
                       throws IOException

  Extracts the value data from an entity Object.

  Parameters:
    `object` - is the source Object.
    `value` - is the destination data buffer.
    `IOException`

### getKeyFormat

    public DataFormat getKeyFormat()

  Returns the format used for the key data of this binding.

  Returns:
    the key data format.

### getValueFormat

    public DataFormat getValueFormat()

  Returns the format used for the value data of this binding.

  Returns:
    the value data format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.